#
# spec file for package python3-python-axolotl-curve25519
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   python-axolotl-curve25519
Name:           python3-python-axolotl-curve25519
Version:        0.1
Release:        1.43
Summary:        Python wrapper for curve25519 library with ed25519 signatures
License:        GPL-3.0+ and BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/tgalal/python-axolotl-curve25519
Source:         https://files.pythonhosted.org/packages/source/p/%{_name}/%{_name}-%{version}.tar.gz
Source1:        %{_name}-copying.txt
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
At the moment this wrapper is meant to be used by python3-axolotl
and provides only the following methods:
 * calculateAgreement(), calculateSignature();
 * generatePrivateKey(), generatePublicKey();
 * verifySignature().

%prep
%setup -q -n %{_name}-%{version}
cp -f %{SOURCE1} LICENSE

%build
export CFLAGS="%{optflags} --std=c99"
python3 setup.py build

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc LICENSE
%{python3_sitearch}/axolotl_curve25519*.so
%{python3_sitearch}/python_axolotl_curve25519-*

%changelog
* Sun May 29 2016 sor.alexei@meowr.ru
- Initial package.
